Package wx :: Class CallLater

[frames | no frames]

## Class CallLater

Known Subclasses:
  `FutureCall`

A convenience class for `wx.Timer`, that calls the given callable object once after the given amount of milliseconds, passing any positional or keyword args. The return value of the callable is availbale after it has been run with the `GetResult` method.

If you don't need to get the return value or restart the timer then there is no need to hold a reference to this object. It will hold a reference to itself while the timer is running (the timer has a reference to self.Notify) but the cycle will be broken when the timer completes, automatically cleaning up the wx.CallLater object.

See Also:

`wx.CallAfter`

Method Summary
| `__init__(self, millis, callable, *args, **kwargs)`
| `__del__(self)`
| `GetInterval(self)`
| `GetResult(self)`
| `HasRun(self)`
| `IsRunning(self)`
| ``Notify`(self)` The timer has expired so call the callable.
| ``Restart`(self, millis, *args, **kwargs)` (Re)start the timer
| ``SetArgs`(self, *args, **kwargs)` (Re)set the args passed to the callable object.
| ``Start`(self, millis, *args, **kwargs)` (Re)start the timer
| ``Stop`(self)` Stop and destroy the timer.

Property Summary
| `Interval`
| `Result`

Method Details

### Notify(self)

The timer has expired so call the callable.

### Restart(self, millis=None, *args, **kwargs)

(Re)start the timer

### SetArgs(self, *args, **kwargs)

(Re)set the args passed to the callable object. This is useful in conjunction with Restart if you want to schedule a new call to the same callable object but with different parameters.

### Start(self, millis=None, *args, **kwargs)

(Re)start the timer

### Stop(self)

Stop and destroy the timer.

Property Details

### Interval

  Get Method:
    `GetInterval`(self)

### Result

  Get Method:
    `GetResult`(self)

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:11:51 2007 | http://epydoc.sf.net